Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class VerticalPageBreakRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.PageBreakRecord
              org.apache.poi.hssf.record.VerticalPageBreakRecord

public class VerticalPageBreakRecord
extends PageBreakRecord

VerticalPageBreak record that stores page breaks at columns

This class is just used so that SID compares work properly in the RecordFactory

Author:
  Danny Mui (dmui at apache dot org)
See Also:
  `PageBreakRecord`

Nested Class Summary

Nested classes inherited from class org.apache.poi.hssf.record.PageBreakRecord
`PageBreakRecord.Break`

Field Summary
`static short` | `sid`

Fields inherited from class org.apache.poi.hssf.record.PageBreakRecord
`HORIZONTAL_SID, VERTICAL_SID`

Constructor Summary
`VerticalPageBreakRecord()`
`VerticalPageBreakRecord(short sid)`
`VerticalPageBreakRecord(short id, short size, byte[] data)`
`VerticalPageBreakRecord(short id, short size, byte[] data, int offset)`

Method Summary
`short` | `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.PageBreakRecord
`addBreak, clone, fillFields, getBreak, getBreaksIterator, getNumBreaks, getRecordSize, removeBreak, serialize, setNumBreaks, toString, validateSid`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### VerticalPageBreakRecord

    public VerticalPageBreakRecord()

### VerticalPageBreakRecord

    public VerticalPageBreakRecord(short sid)

Parameters:
  `sid` -

### VerticalPageBreakRecord

    public VerticalPageBreakRecord(short id,
                                   short size,
                                   byte[] data)

Parameters:
  `id` -
  `size` -
  `data` -

### VerticalPageBreakRecord

    public VerticalPageBreakRecord(short id,
                                   short size,
                                   byte[] data,
                                   int offset)

Parameters:
  `id` -
  `size` -
  `data` -
  `offset` -

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Overrides:
    `getSid` in class `PageBreakRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.